Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
Class UnicodeEscapingReader

    java.lang.Object
      java.io.Reader
          org.codehaus.groovy.antlr.UnicodeEscapingReader

    class UnicodeEscapingReader
    extends Reader

Translates GLS-defined unicode escapes into characters. Throws an exception in the event of an invalid unicode escape being detected.

No attempt has been made to optimise this class for speed or space.

version:
  $Revision: 7922 $

Constructor Summary
`UnicodeEscapingReader(Reader reader, SourceBuffer sourceBuffer)` Constructor.

Method Summary
`void` | `close()` Closes this reader by calling close on the underlying reader.
`int` | `read(char[] cbuf, int off, int len)` Reads characters from the underlying reader.
`int` | `read()` Gets the next character from the underlying reader, translating escapes as required.
`void` | `setLexer(CharScanner lexer)` Sets the lexer that is using this reader.

Methods inherited from class Reader
close, mark, reset, read, read, read, read, skip, markSupported, ready, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### UnicodeEscapingReader

    public UnicodeEscapingReader(Reader reader, SourceBuffer sourceBuffer)

  Constructor.
  param:
    reader The reader that this reader will filter over.

Method Detail

### close

    public void close()

  Closes this reader by calling close on the underlying reader.
  see:
    Reader#close

### read

    public int read(char[] cbuf, int off, int len)

  Reads characters from the underlying reader.
  see:
    Reader#read

### read

    public int read()

  Gets the next character from the underlying reader, translating escapes as required.
  see:
    Reader#close

### setLexer

    public void setLexer(CharScanner lexer)

  Sets the lexer that is using this reader. Must be called before the lexer is used.

Copyright © 2003-2009 The Codehaus. All rights reserved.